### Class

# PapersView JobLoad

#### Description [src]

    class PapersView.JobLoad : PapersView.Job
    {
      /* No available fields */
    }

A job class to load an `PpsDocument`

Supports loading in different forms depending on the options being set.

#### Hierarchy

#### Ancestors

- PpsJob
- GObject

#### Constructors

###### pps_job_load_new

No description available.

#### Instance methods

###### pps_job_load_get_loaded_document

No description available.

since: 46.0

###### pps_job_load_get_password

No description available.

###### pps_job_load_get_password_save

No description available.

###### pps_job_load_set_fd

Sets `fd` as the file descriptor in `job`. If duplicating `fd` fails, returns `FALSE` with `error` filled in.

since: 46.0

###### pps_job_load_set_password

No description available.

###### pps_job_load_set_password_save

No description available.

###### pps_job_load_set_uri

It is an error to call this function if the file descriptor is set for the job.

###### pps_job_load_take_fd

Sets `fd` as the file descriptor in `job`. Note that `job` takes ownership of `fd`; you must not do anything with it afterwards.

since: 46.0

##### Methods inherited from PpsJob (12)

###### pps_job_cancel

Cancels the specified job if it has not already been cancelled.

###### pps_job_failed

Marks the specified job as failed and sets an error with the provided details.

###### pps_job_failed_from_error

Marks the specified job as failed and sets the error associated with the failure.

###### pps_job_get_cancellable

Retrieves the `GCancellable` object associated with the specified job.

###### pps_job_get_document

Retrieves the `PpsDocument` associated with the specified job.

###### pps_job_is_finished

Checks if the specified job has finished execution.

###### pps_job_is_succeeded

Determines the finish status of the specified job.

###### pps_job_reset

Resets the state of the specified job to its initial state.

###### pps_job_run

Starts or executes the specified job.

###### pps_job_scheduler_push_job

No description available.

###### pps_job_scheduler_update_job

No description available.

###### pps_job_succeeded

Marks the specified job as succeeded.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from PpsJob (1)

###### PapersView.Job:document

No description available.

#### Signals

##### Signals inherited from PpsJob (2)

###### PpsJob::cancelled

No description available.

###### PpsJob::finished

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersViewJobLoadClass {
      PpsJobClass parent_class;

    }

No description available.

###### Class members

`parent_class: PpsJobClass`

  No description available.